> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get experiment

> Get metadata for an experiment. This method works on deleted experiments.



## OpenAPI

````yaml /api-specs/cloud/public-api.json get /api/2.0/mlflow/experiments/get
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: MLflow experiments and runs
  - name: MLflow models
  - name: MLflow artifacts
  - name: MLflow traces
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /api/2.0/mlflow/experiments/get:
    get:
      tags:
        - MLflow experiments and runs
      description: >-
        Get metadata for an experiment. This method works on deleted
        experiments.
      operationId: experiments.Get
      parameters:
        - description: ID of the associated experiment.
          in: query
          name: experiment_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Experiment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/mlflow-proxy_GetExperimentResponse'
        default:
          $ref: '#/components/responses/mlflow-proxy_MLflowNativeError'
components:
  schemas:
    mlflow-proxy_GetExperimentResponse:
      properties:
        experiment:
          $ref: '#/components/schemas/mlflow-proxy_Experiment'
      required:
        - experiment
      type: object
    mlflow-proxy_Experiment:
      properties:
        artifact_location:
          description: Location where artifacts for the experiment are stored.
          type: string
        creation_time:
          description: Creation time
          type: integer
          format: int64
        experiment_id:
          description: Unique identifier for the experiment.
          type: string
        last_update_time:
          description: Last update time
          type: integer
          format: int64
        lifecycle_stage:
          description: |-
            Current life cycle stage of the experiment: "active" or "deleted".
            Deleted experiments are not returned by APIs.
          type: string
        name:
          description: Human readable name that identifies the experiment.
          type: string
        tags:
          description: 'Tags: Additional metadata key-value pairs.'
          items:
            $ref: '#/components/schemas/mlflow-proxy_Tag'
          type: array
      required:
        - artifact_location
        - creation_time
        - experiment_id
        - last_update_time
        - lifecycle_stage
        - name
        - tags
      type: object
    mlflow-proxy_ErrorResponse:
      properties:
        error_code:
          $ref: '#/components/schemas/mlflow-proxy_ErrorCode'
        message:
          description: Error message
          type: string
      required:
        - error_code
        - message
      type: object
    mlflow-proxy_Tag:
      properties:
        key:
          description: >-
            Name of the tag. Maximum size depends on storage backend.

            If a tag with this name already exists, its preexisting value will
            be replaced by the specified value. All storage backends are
            guaranteed to support key values up to 250 bytes in size. This field
            is required.
          type: string
        value:
          description: >-
            String value of the tag being logged. Maximum size depends on
            storage backend.

            All storage backends are guaranteed to support key values up to 5000
            bytes in size. This field is required.
          type: string
      required:
        - key
        - value
      type: object
    mlflow-proxy_ErrorCode:
      description: Error code
      enum:
        - INTERNAL_ERROR
        - INVALID_STATE
        - DATA_LOSS
        - NOT_IMPLEMENTED
        - TEMPORARILY_UNAVAILABLE
        - DEADLINE_EXCEEDED
        - CANCELLED
        - RESOURCE_EXHAUSTED
        - REQUEST_LIMIT_EXCEEDED
        - ABORTED
        - RESOURCE_CONFLICT
        - ALREADY_EXISTS
        - NOT_FOUND
        - ENDPOINT_NOT_FOUND
        - RESOURCE_DOES_NOT_EXIST
        - PERMISSION_DENIED
        - CUSTOMER_UNAUTHORIZED
        - UNAUTHENTICATED
        - BAD_REQUEST
        - RESOURCE_ALREADY_EXISTS
        - INVALID_PARAMETER_VALUE
      type: string
  responses:
    mlflow-proxy_MLflowNativeError:
      description: The client issued a bad request to the server
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/mlflow-proxy_ErrorResponse'

````

## Related topics

- [Get experiment by name](/api-reference/mlflow-experiments-and-runs/get-api20mlflowexperimentsget-by-name.md)
- [Get unregistered models for an experiment](/api-reference/registered-models/get-unregistered-models-for-an-experiment.md)
- [Experiment Manager](/cloud/platform-capabilities/features/agents/experiment.md)
- [Get run](/api-reference/mlflow-experiments-and-runs/get-api20mlflowrunsget.md)
